Skip to content
Start here

Adds a tag to an event

client.cloudforceOne.threatEvents.eventTags.create(stringeventID, EventTagCreateParams { account_id, tags } params, RequestOptionsoptions?): EventTagCreateResponse { success }
POST/accounts/{account_id}/cloudforce-one/events/event_tag/{event_id}/create

Adds a tag to a threat event in Cloudforce One for classification and filtering.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
eventID: string

Event UUID.

params: EventTagCreateParams { account_id, tags }
account_id: string

Path param: Account ID.

tags: Array<string>

Body param

ReturnsExpand Collapse
EventTagCreateResponse { success }
success: boolean

Adds a tag to an event

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const eventTag = await client.cloudforceOne.threatEvents.eventTags.create('event_id', {
  account_id: 'account_id',
  tags: ['botnet'],
});

console.log(eventTag.success);
{
  "result": {
    "success": true
  },
  "success": true
}
Returns Examples
{
  "result": {
    "success": true
  },
  "success": true
}